[solved] crashes - segfault and some more jargon

Discussion in 'General' started by MentaL, Aug 10, 2014.

  1. MentaL

    MentaL Member


    Any ideas?
  2. MentaL

    MentaL Member

    continued

  3. MentaL

    MentaL Member

    stderr.log

  4. NiteWave

    NiteWave Administrator

    /usr/local/lsws/fcgi-bin/lsphp-5.4.31 may have problem.
    is phpinfo.php ok ?
    see if you can disable the php extensions one by one, and this error is gone.
  5. MentaL

    MentaL Member

    appears to be originating from xcache, hmm.
    Last edited: Aug 11, 2014
  6. MentaL

    MentaL Member

    switched to APC as a trial and still get the same error, highly odd. I'll investigate further.
  7. MentaL

    MentaL Member

  8. MentaL

    MentaL Member

    Making random progress?

    Downgraded xcache and got the following as it stands

  9. NiteWave

    NiteWave Administrator

    so lsphp-5.4.31 is ok, xcache or apc extension has the problem.
    what's the xcache version, how did you build it, in WHM environment, the xcache configuration ?
  10. MentaL

    MentaL Member

    built through litespeed.
  11. MentaL

    MentaL Member

    I may have found the cause. I was using an OLD version of memcached built from an old RPM and never even knew! rebuilt the latest version manually, enabled xcache and thus far no errors.
    Michael likes this.
  12. Michael

    Michael Administrator Staff Member

    Thanks for updating the forum on the solution.

    Michael
    MentaL likes this.
  13. MentaL

    MentaL Member

    Hopefully it helps resolves someones error, especially if their installing from the latest centos distro (which has the old RPMs of memcached).
  14. bobykus

    bobykus Member

    Hello,

    I have the same segfault issue . Would like to investigate it but dunno which version of php crashed. We rum 3 of it via suEXE daemons. Any way to get a core dump to see which exactly php is affected?
  15. NiteWave

    NiteWave Administrator

    from the first post of this thread:
    you can know lsphp-5.4.31 is used.
  16. bobykus

    bobykus Member

    Damn! Sorry, my bad, I forgot about details.
    Actually, mine looks like


    Sep 11 08:10:28 ws kernel: lsphp[7165]: segfault at 7fffe7c95fe8 ip 0000000000602f4a sp 00007fffe7c95fb0 error 6 in lsphp[400000+3e1000]
  17. bobykus

    bobykus Member

    I see [400000+3e1000] is constant - do you know what does it means?

Share This Page